Get Member Logs
curl --request GET \
--url https://api.decodahealth.com/inventory/members/{member_id}/logs \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/inventory/members/{member_id}/logs"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/inventory/members/{member_id}/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"memberId": "<string>",
"creatorId": "<string>",
"creator": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"chargeId": "<string>",
"paymentMethodId": "<string>",
"charge": {
"patientId": "<string>",
"totalOutstanding": 123,
"id": "<string>",
"patient": {
"id": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>",
"email": "<string>",
"locationId": "<string>",
"externalId": "<string>",
"address": "<string>",
"addressLineTwo": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"country": "<string>",
"addressValid": true,
"meta": {},
"isArchived": true,
"primaryLocationId": "<string>",
"gender": "<string>",
"dateOfBirth": "2023-12-25",
"patientMedications": [
"<string>"
],
"onSchedulingBlacklist": true,
"surchargeDisabled": true,
"tags": [
{
"id": "<string>",
"name": "<string>",
"isActive": true,
"createdDate": "2023-11-07T05:31:56Z",
"emoji": "<string>",
"color": "<string>",
"updatedDate": "2023-11-07T05:31:56Z"
}
],
"creditBalance": 123,
"preferredProviderId": "<string>"
},
"total": 0,
"description": "<string>",
"status": "OUTSTANDING",
"discountAmount": 0,
"discountPercentage": 0,
"externalId": "<string>",
"externalCreatedDate": "2023-11-07T05:31:56Z",
"ruleSetId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"creatorId": "<string>",
"items": [],
"tips": [],
"locationId": "<string>",
"eventId": "<string>",
"memberId": "<string>",
"comment": "<string>",
"meta": {},
"merchantAccountId": "<string>"
},
"paymentMethod": {
"id": "<string>",
"patientId": "<string>",
"rainforestPaymentMethodId": "<string>",
"brand": "<string>",
"last4": "<string>",
"expMonth": 123,
"expYear": 123,
"accountHolderType": "<string>",
"accountNumberLast4": 123,
"bankName": "<string>",
"routingNumber": 123,
"description": "<string>",
"isDefault": false,
"isArchived": false
},
"oldPaymentMethod": {
"id": "<string>",
"patientId": "<string>",
"rainforestPaymentMethodId": "<string>",
"brand": "<string>",
"last4": "<string>",
"expMonth": 123,
"expYear": 123,
"accountHolderType": "<string>",
"accountNumberLast4": 123,
"bankName": "<string>",
"routingNumber": 123,
"description": "<string>",
"isDefault": false,
"isArchived": false
},
"newQuantityRemaining": 123,
"oldQuantityRemaining": 123,
"newExpiryDate": "2023-11-07T05:31:56Z",
"oldExpiryDate": "2023-11-07T05:31:56Z",
"newBillingDate": "2023-11-07T05:31:56Z",
"oldBillingDate": "2023-11-07T05:31:56Z",
"comment": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Inventory
Get Member Logs
Get a member’s logs.
GET
/
inventory
/
members
/
{member_id}
/
logs
Get Member Logs
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Response
Successful Response
Unique identifier for the log
ID of the member
Type of log
Available options:
STATUS_CHANGE, MANUAL_PAYMENT, RENEWED, PAYMENT_METHOD_CHANGE, DISCOUNT_USED, DISCOUNT_RESTORED, DISCOUNT_MODIFIED, ENROLLED, BILLING_DATE_CHANGE ID of the creator
Creator details
Show child attributes
Show child attributes
ID of the charge
ID of the payment method
Charge details
Show child attributes
Show child attributes
Payment method details
Show child attributes
Show child attributes
Old payment method details
Show child attributes
Show child attributes
Old status
Available options:
ACTIVE, EXPIRED, CANCELLED, DELINQUENT, FROZEN New status
Available options:
ACTIVE, EXPIRED, CANCELLED, DELINQUENT, FROZEN New quantity remaining
Old quantity remaining
New expiry date
Old expiry date
New billing date
Old billing date
Comment
When the log was created
When the log was last updated
⌘I
